<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Mi primer Leaflet</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Mini map -->
    <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css">
    <!-- Leaflet.MousePosition -->
    <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css">
    <!-- Leaflet.awesome-markers -->
    <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css">
    <!--  -->
    <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
    <!--  -->
    <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css">

    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
    <!-- Bootstrap -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <!-- Mini map -->
    <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script>
    <!-- Leaflet.MousePosition -->
    <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script>
    <!-- leaflet-plugins -->
    <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script>
    <!-- API-KEY Google -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script>
    <!-- Leaflet.GoogleMutant -->
    <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script>
    <!-- Leaflet.awesome-markers -->
    <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script>

    <style>
        body,
        html,
        #map {
            height: 100%;
            padding: 0;
            margin: 0;
        }

        .awesome-marker i {
            font-size: 18px;
            margin-top: 8px;
        }
    </style>
</head>

<body>
    <div id="Zmax"></div>
    <div id="Zmin"></div>
    <div id="map"> </div>

    <script>
        // mapa principal
        // var map = L.map('map', {
        //     center: [40.965, -5.664],
        //     zoom: 16,
        //     zoomControl: true,
        // });
        var map = L.map('map').setView([40.965, -5.664], 16);

        // mapas osm
        var osmUrl = 'http://{s}.tile.osm.org/{z}/{x}/{y}.png';
        // creditos
        var osmAttribution =
            `
        Map data &copy; <a href="http://openstreetmap.org">OpenStreetMap</a>
        contributors, <a href="http://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>,
        Imagery © <a href="http://cloudmade.com"></a>`;
        // agregar mapa osm
        L.tileLayer(osmUrl, {
            attribution: osmAttribution,
        }).addTo(map);
        // mapa negro de osm
        var osm_blackWhite = L.tileLayer('http://{s}.tiles.wmflabs.org/bw-mapnik/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <ahref="http://www.openstreetmap.org/copyright">OpenStreetMap</a>',
        }).addTo(map);
        // mapas de Bing
        var bing = new L.BingLayer("LfO3DMI9S6GnXD7d0WGs~bq2DRVkmIAzSOFdodzZLvw~Arx8dclDxmZA0Y38tHIJlJfnMbGq5GXeYmrGOUIbS2VLFzRKCK0Yv_bAl6oe-DOc", {
            type: "Aerial"
        });
        map.addLayer(bing);
        // mapas de Google
        var roadMutant = L.gridLayer.googleMutant({
            maxZoom: 24,
            type: 'roadmap'
        }).addTo(map);
        var satMutant = L.gridLayer.googleMutant({
            maxZoom: 24,
            type: 'satellite'
        });
        var terrainMutant = L.gridLayer.googleMutant({
            maxZoom: 24,
            type: 'terrain'
        });
        // Imagen georeferenciada
        var imageUrl = 'images/Salamanca_1899.JPG',
            imageBounds = [
                [40.9579, -5.6701],
                [40.96545, -5.65949]
            ];
        // L.imageOverlay(imageUrl, imageBounds, {opacity:0.7, attribution:'Plano de Salamanca de la editorial A&C Black.Año 1899'}).addTo(map);

        // Mini map
        var osm2 = new L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
            minZoom: 0,
            maxZoom: 21,
        });
        var miniMap = new L.Control.MiniMap(osm2, {
            toggleDisplay: true
        }).addTo(map);

        /* Cambiar la posición de el control de zoom*/
        // new L.Control.Zoom({position: 'bottomleft'}).addTo(map);

        // Marcador en el centro
        var center = map.getCenter();
        // var marker = L.marker(center).bindPopup("Curso de Leaflet").addTo(map);

        // mostrar marcadores a cierto zoom
        // map.on("zoomend", function(e) {
        //     zoom = map.getZoom();
        //     console.log(map.getMaxZoom());
        //     if (zoom <= 14) {
        //         map.removeLayer(marker);
        //     }
        // });

        // get Zoom
        var minZoom = map.getMinZoom();
        var maxZoom = map.getMaxZoom();

        // imprimir el zoom maximo y minimo del mapa
        // document.getElementById("Zmax").innerHTML = "El nivel de máximo de zoom es: " + maxZoom;
        // document.getElementById("Zmin").innerHTML = "El nivel de mínimo de zoom es: " + minZoom;

        // crear marcadores
        var myMarker = L.marker([40.965, -5.664]);
        var myMarker1 = L.marker([40.96143, -5.66724]);

        // agregar marcadores al mapa
        // map.addLayer(myMarker);
        // map.addLayer(myMarker1);

        // coordenadas
        L.control.mousePosition().addTo(map);

        // Unidad 3
        // Servicios wms
        var pnoa = L.tileLayer.wms("http://www.ign.es/wms-inspire/pnoa-ma?SERVICE=WMS&", {
            attribution: "PNOA WMS. Cedido por © Instituto Geográfico Nacional de España",
            format: 'image/jpeg',
            layers: "OI.OrthoimageCoverage",
            opacity: 0.6,
            transparent: true,
            version: '1.3.0',
        }).addTo(map);

        // Ejercicio 3, Dibujar puntos
        // var point = L.marker([40.965, -5664]).addTo(map);
        var point = L.marker([40.965, -5.664], {
            draggable: true,
            title: "Plaza mayor",
        }).addTo(map);
        // coordenadas de donde se dejo el pin
        point.on('mousemove', function(e) {
            console.log(e.latlng.lat + "," + e.latlng.lng);
        });

        // crear iconos
        var myIcon = L.icon({
            iconAnchor: [15, 50],
            iconSize: [30, 50],
            iconUrl: 'images/marker-icon_red.png',
            popupAnchor: [15, -50],
            shadowAnchor: [15, 65],
            shadowSize: [50, 64],
            shadowUrl: 'images/marker-shadow.png',

        });

        var point = L.marker([40.96289628612519, -5.665809810161591], {
            icon: myIcon
        }).addTo(map).bindPopup('Casa de las conchas');

        // Varios iconos
        var LeafIcon = L.Icon.extend({
            options: {
                iconSize: [30, 30],
                iconAnchor: [15, 30],
                popupAnchor: [0, -30]
            }
        });
        var hospital = new LeafIcon({
            iconUrl: 'images/hospital.gif'
        });
        var info = new LeafIcon({
            iconUrl: 'images/simbol-info.jpg'
        });
        var parking = new LeafIcon({
            iconUrl: 'images/parking.gif'
        });
        // var nmarker1 = new L.marker([40.96788, -5.66942], {
        //     icon: hospital
        // }).addTo(map).bindPopup("Hospital");
        // var nmarker2 = new L.marker([40.96501, -5.66462], {
        //     icon: info
        // }).addTo(map).bindPopup("Informacion Turistica");
        // var nmarker3 = new L.marker([40.96178, -5.66401], {
        //     icon: parking
        // }).addTo(map).bindPopup("Informacion Turistica");
        // var nmarker4 = new L.marker([40.96669, -5.66164], {
        //     icon: parking
        // }).addTo(map).bindPopup("Informacion Turistica");

        // bootstrap
        L.marker([40.96618, -5.66237], {
            icon: L.AwesomeMarkers.icon({
                icon: 'globe',
                prefix: 'glyphicon',
                markerColor: 'darkblue',
                spin: true
            })
        }).addTo(map);
        L.marker([40.96187, -5.66814], {
            icon: L.AwesomeMarkers.icon({
                icon: 'wrench',
                prefix: 'glyphicon',
                markerColor: 'darkblue'
            })
        }).addTo(map);
        L.marker([40.96588, -5.66814], {
            icon: L.AwesomeMarkers.icon({
                icon: 'cloud',
                prefix: 'glyphicon',
                markerColor: 'darkblue'
            })
        }).addTo(map);
        L.marker([40.96487, -5.66407], {
            icon: L.AwesomeMarkers.icon({
                icon: 'signal',
                prefix: 'glyphicon',
                markerColor: 'green',
                spin: true
            })
        }).addTo(map);
        L.marker([40.96785, -5.66926], {
            icon: L.AwesomeMarkers.icon({
                icon: 'edit',
                prefix: 'glyphicon',
                markerColor: 'blue',
                iconColor: 'black'
            })
        }).addTo(map);
        L.marker([40.96387, -5.66616], {
            icon: L.AwesomeMarkers.icon({
                icon: 'thumbs-down',
                prefix: 'glyphicon',
                markerColor: 'green'
            })
        }).addTo(map);
        // Iconos de bootstrap Font Awesome  4.7.0
        L.marker([40.96450, -5.66816], {
            icon: L.AwesomeMarkers.icon({
                icon: 'commenting',
                prefix: 'fa',
                markerColor: 'black'
            })
        }).addTo(map);
        L.marker([40.96700, -5.66700], {
            icon: L.AwesomeMarkers.icon({
                icon: 'heart-o',
                prefix: 'fa',
                markerColor: 'black'
            })
        }).addTo(map);
    </script>
</body>

</html>
